textures/t8dm6/bright_light
{
	qer_editorimage textures/t8dm6/bright_light.tga
	q3map_surfacelight 1200
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t8dm6/bright_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sfx/green_beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        {
		map textures/t8dm6/green_beam.jpg
                tcMod Scroll .3 0
                blendFunc add
        }          
}

textures/t8dm6/senn_bounce2
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/t8dm6/senn_bounce2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/t8dm6/senn_bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/t8dm6/senn_bounce.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/t8dm6/darkglass
{
	qer_trans .5
        surfaceparm trans
	surfaceparm solid
    
        cull disable
	{
		map textures/effects/tinfx.tga
        	tcgen environment
        	blendfunc gl_one gl_one
        	rgbGen identity
        }
        {
                map $lightmap
                blendFunc gl_dst_color gl_zero
                rgbgen identity
        }
}

textures/t8dm6/senn_sky
{
	qer_editorimage textures/t8dm6/senn_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 60

	skyparms env/xnight2 256 -

	{
		map textures/t8dm6/senn_sky.tga
		blendFunc add
		tcMod scroll 0.03 0.03
		tcMod scale 4 5
	}
}

textures/t8dm6/senn_slime
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm nolightmap
	surfaceparm trans

	tessSize 32
	cull disable
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}